Package anbxj

# Enum Class Channel_Roles

java.lang.Object
java.lang.Enum<Channel_Roles>
anbxj.Channel_Roles

All Implemented Interfaces:
  `Serializable`, `Comparable<Channel_Roles>`, `Constable`

public enum Channel_Roles extends Enum<Channel_Roles>
Channel Roles

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLIENT`
  Client role
  `SERVER`
  Server role

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Channel_Roles`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Channel_Roles[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLIENT

    public static final Channel_Roles CLIENT
    Client role

  - ### SERVER

    public static final Channel_Roles SERVER
    Server role

- ## Method Details

  - ### values

    public static Channel_Roles[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Channel_Roles valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null